import { Middleware } from '@nuxt/types';
import { Role } from '~/assets/ts/models/enum/Role';

const myAppointmentMiddleware: Middleware = (context) => {
  if (context.store.getters['localStorage/currentRole'] === Role.ADMIN) {
    if (context.route.name === 'myAppointmentList') {
      context.redirect('/myAppointmentList/appointmentList')
    }
  } else {
    context.redirect('/consultantLogin');
  }
}

export default myAppointmentMiddleware